Skip to main content
GET
/
container
/
{containerId}
/
link
List all URLs of the container
curl --request GET \
  --url https://api.qovery.com/container/{containerId}/link \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.qovery.com/container/{containerId}/link"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.qovery.com/container/{containerId}/link', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "internal_port": 123,
      "external_port": 123,
      "is_qovery_domain": true,
      "is_default": true
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

containerId
string<uuid>
required

Container ID

Response

List links

results
object[]